<script setup lang="ts">
import { useReceipetStore } from '@/stores/receipt'

const receiptStore = useReceipetStore()
</script>

<template>
  <v-table>
    <thead>
      <tr>
        <th class="text-white">No.</th>
        <!-- Customize color for table headers -->
        <th class="text-white">Name</th>
        <th class="text-white">Price</th>
        <th class="text-white">Unit</th>
        <th class="text-white">Total</th>
        <th class="text-white"></th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="(item, index) of receiptStore.receiptItems" :key="item.id">
        <th>{{ index + 1 }}</th>
        <th>{{ item.name }}</th>
        <th>{{ item.price }}</th>
        <th>
          <v-btn
            icon="mdi-minus"
            size="small"
            density="compact"
            @click="receiptStore.Dec(item)"
          ></v-btn
          >{{ item.unit
          }}<v-btn
            icon="mdi-plus"
            size="small"
            density="compact"
            @click="receiptStore.Inc(item)"
          ></v-btn>
        </th>
        <th>{{ item.price * item.unit }}</th>
        <th>
          <v-btn
            icon="mdi-delete"
            density="compact"
            size="small"
            @click="receiptStore.removeReceiptItem(item)"
          ></v-btn>
        </th>
      </tr>
    </tbody>
  </v-table>
</template>
<style scoped>
.v-table.primary {
  background-color: white;
}

th.text-white {
  background-color: #212121;
}

tr:hover {
  background-color: #a8a8a8;
}
</style>
